For the complete documentation index, see llms.txt. This page is also available as Markdown.

Support Hours

List support hours.

get

Returns a shallow list of support hours without exception details. Use the single resource endpoint to retrieve the complete support hour including all exceptions.

Authorizations
AuthorizationstringRequired

The Bearer API key of your user more info.

Query parameters
start-indexinteger · int32Optional

an integer specifying the starting point (beginning with 0) when paging through a list of entities

Default: 0
max-resultsinteger · int32 · max: 50Optional

the maximum number of results when paging through a list of support hours.

Default: 50
Responses
200

list of support hours

application/json
idinteger · int64Optional
namestringOptional
timezonestring · enumOptionalPossible values:
get/support-hours
GET /api/support-hours HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
200

list of support hours

[
  {
    "id": 1,
    "name": "text",
    "teams": [
      {
        "id": 1,
        "name": "text"
      }
    ],
    "timezone": "Europe/Berlin",
    "supportDays": {
      "MONDAY": {
        "start": "00:00:00",
        "end": "00:00:00"
      },
      "TUESDAY": {
        "start": "00:00:00",
        "end": "00:00:00"
      },
      "WEDNESDAY": {
        "start": "00:00:00",
        "end": "00:00:00"
      },
      "THURSDAY": {
        "start": "00:00:00",
        "end": "00:00:00"
      },
      "FRIDAY": {
        "start": "00:00:00",
        "end": "00:00:00"
      },
      "SATURDAY": {
        "start": "00:00:00",
        "end": "00:00:00"
      },
      "SUNDAY": {
        "start": "00:00:00",
        "end": "00:00:00"
      }
    },
    "managedBy": {
      "type": "API",
      "source": "text"
    }
  }
]

Create a new support hour.

post
Authorizations
AuthorizationstringRequired

The Bearer API key of your user more info.

Body
idinteger · int64Optional
namestringRequired
timezonestring · enumRequiredPossible values:
currentStatusstring · enumRead-onlyOptional

This is an include field, it is not available in the list resource

Possible values:
Responses
201

the response

application/json
idinteger · int64Optional
namestringRequired
timezonestring · enumRequiredPossible values:
currentStatusstring · enumRead-onlyOptional

This is an include field, it is not available in the list resource

Possible values:
post/support-hours
POST /api/support-hours HTTP/1.1
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 531

{
  "id": 1,
  "name": "text",
  "teams": [
    {
      "id": 1,
      "name": "text"
    }
  ],
  "timezone": "Europe/Berlin",
  "supportDays": {
    "MONDAY": {
      "start": "00:00:00",
      "end": "00:00:00"
    },
    "TUESDAY": {
      "start": "00:00:00",
      "end": "00:00:00"
    },
    "WEDNESDAY": {
      "start": "00:00:00",
      "end": "00:00:00"
    },
    "THURSDAY": {
      "start": "00:00:00",
      "end": "00:00:00"
    },
    "FRIDAY": {
      "start": "00:00:00",
      "end": "00:00:00"
    },
    "SATURDAY": {
      "start": "00:00:00",
      "end": "00:00:00"
    },
    "SUNDAY": {
      "start": "00:00:00",
      "end": "00:00:00"
    }
  },
  "exceptions": [
    {
      "name": "text",
      "start": "2026-01-01",
      "end": "2026-01-01",
      "supportStatus": "DURING"
    }
  ]
}
201

the response

{
  "id": 1,
  "name": "text",
  "teams": [
    {
      "id": 1,
      "name": "text"
    }
  ],
  "timezone": "Europe/Berlin",
  "supportDays": {
    "MONDAY": {
      "start": "00:00:00",
      "end": "00:00:00"
    },
    "TUESDAY": {
      "start": "00:00:00",
      "end": "00:00:00"
    },
    "WEDNESDAY": {
      "start": "00:00:00",
      "end": "00:00:00"
    },
    "THURSDAY": {
      "start": "00:00:00",
      "end": "00:00:00"
    },
    "FRIDAY": {
      "start": "00:00:00",
      "end": "00:00:00"
    },
    "SATURDAY": {
      "start": "00:00:00",
      "end": "00:00:00"
    },
    "SUNDAY": {
      "start": "00:00:00",
      "end": "00:00:00"
    }
  },
  "exceptions": [
    {
      "name": "text",
      "start": "2026-01-01",
      "end": "2026-01-01",
      "supportStatus": "DURING"
    }
  ],
  "managedBy": {
    "type": "API",
    "source": "text"
  },
  "currentStatus": "DURING"
}

Get the support hour with specified id.

get
Authorizations
AuthorizationstringRequired

The Bearer API key of your user more info.

Path parameters
idnumberRequired

entity ID

Responses
200

the support hour object

application/json
idinteger · int64Optional
namestringRequired
timezonestring · enumRequiredPossible values:
currentStatusstring · enumRead-onlyOptional

This is an include field, it is not available in the list resource

Possible values:
get/support-hours/{id}
GET /api/support-hours/{id} HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
200

the support hour object

{
  "id": 1,
  "name": "text",
  "teams": [
    {
      "id": 1,
      "name": "text"
    }
  ],
  "timezone": "Europe/Berlin",
  "supportDays": {
    "MONDAY": {
      "start": "00:00:00",
      "end": "00:00:00"
    },
    "TUESDAY": {
      "start": "00:00:00",
      "end": "00:00:00"
    },
    "WEDNESDAY": {
      "start": "00:00:00",
      "end": "00:00:00"
    },
    "THURSDAY": {
      "start": "00:00:00",
      "end": "00:00:00"
    },
    "FRIDAY": {
      "start": "00:00:00",
      "end": "00:00:00"
    },
    "SATURDAY": {
      "start": "00:00:00",
      "end": "00:00:00"
    },
    "SUNDAY": {
      "start": "00:00:00",
      "end": "00:00:00"
    }
  },
  "exceptions": [
    {
      "name": "text",
      "start": "2026-01-01",
      "end": "2026-01-01",
      "supportStatus": "DURING"
    }
  ],
  "managedBy": {
    "type": "API",
    "source": "text"
  },
  "currentStatus": "DURING"
}

Update an existing support hour.

put
Authorizations
AuthorizationstringRequired

The Bearer API key of your user more info.

Path parameters
idnumberRequired

entity ID

Body
idinteger · int64Optional
namestringRequired
timezonestring · enumRequiredPossible values:
currentStatusstring · enumRead-onlyOptional

This is an include field, it is not available in the list resource

Possible values:
Responses
200

the updated support hour object

application/json
idinteger · int64Optional
namestringRequired
timezonestring · enumRequiredPossible values:
currentStatusstring · enumRead-onlyOptional

This is an include field, it is not available in the list resource

Possible values:
put/support-hours/{id}
PUT /api/support-hours/{id} HTTP/1.1
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 531

{
  "id": 1,
  "name": "text",
  "teams": [
    {
      "id": 1,
      "name": "text"
    }
  ],
  "timezone": "Europe/Berlin",
  "supportDays": {
    "MONDAY": {
      "start": "00:00:00",
      "end": "00:00:00"
    },
    "TUESDAY": {
      "start": "00:00:00",
      "end": "00:00:00"
    },
    "WEDNESDAY": {
      "start": "00:00:00",
      "end": "00:00:00"
    },
    "THURSDAY": {
      "start": "00:00:00",
      "end": "00:00:00"
    },
    "FRIDAY": {
      "start": "00:00:00",
      "end": "00:00:00"
    },
    "SATURDAY": {
      "start": "00:00:00",
      "end": "00:00:00"
    },
    "SUNDAY": {
      "start": "00:00:00",
      "end": "00:00:00"
    }
  },
  "exceptions": [
    {
      "name": "text",
      "start": "2026-01-01",
      "end": "2026-01-01",
      "supportStatus": "DURING"
    }
  ]
}
200

the updated support hour object

{
  "id": 1,
  "name": "text",
  "teams": [
    {
      "id": 1,
      "name": "text"
    }
  ],
  "timezone": "Europe/Berlin",
  "supportDays": {
    "MONDAY": {
      "start": "00:00:00",
      "end": "00:00:00"
    },
    "TUESDAY": {
      "start": "00:00:00",
      "end": "00:00:00"
    },
    "WEDNESDAY": {
      "start": "00:00:00",
      "end": "00:00:00"
    },
    "THURSDAY": {
      "start": "00:00:00",
      "end": "00:00:00"
    },
    "FRIDAY": {
      "start": "00:00:00",
      "end": "00:00:00"
    },
    "SATURDAY": {
      "start": "00:00:00",
      "end": "00:00:00"
    },
    "SUNDAY": {
      "start": "00:00:00",
      "end": "00:00:00"
    }
  },
  "exceptions": [
    {
      "name": "text",
      "start": "2026-01-01",
      "end": "2026-01-01",
      "supportStatus": "DURING"
    }
  ],
  "managedBy": {
    "type": "API",
    "source": "text"
  },
  "currentStatus": "DURING"
}

Delete the specified support hour.

delete
Authorizations
AuthorizationstringRequired

The Bearer API key of your user more info.

Path parameters
idnumberRequired

entity ID

Responses
204

if deletion was successful

delete/support-hours/{id}
DELETE /api/support-hours/{id} HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
204

if deletion was successful

No content

Get the support hour with the specified name.

get
Authorizations
AuthorizationstringRequired

The Bearer API key of your user more info.

Path parameters
namestringRequired

unique name of the support hour

Responses
200

the support hour object

application/json
idinteger · int64Optional
namestringRequired
timezonestring · enumRequiredPossible values:
currentStatusstring · enumRead-onlyOptional

This is an include field, it is not available in the list resource

Possible values:
get/support-hours/name/{name}
GET /api/support-hours/name/{name} HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
200

the support hour object

{
  "id": 1,
  "name": "text",
  "teams": [
    {
      "id": 1,
      "name": "text"
    }
  ],
  "timezone": "Europe/Berlin",
  "supportDays": {
    "MONDAY": {
      "start": "00:00:00",
      "end": "00:00:00"
    },
    "TUESDAY": {
      "start": "00:00:00",
      "end": "00:00:00"
    },
    "WEDNESDAY": {
      "start": "00:00:00",
      "end": "00:00:00"
    },
    "THURSDAY": {
      "start": "00:00:00",
      "end": "00:00:00"
    },
    "FRIDAY": {
      "start": "00:00:00",
      "end": "00:00:00"
    },
    "SATURDAY": {
      "start": "00:00:00",
      "end": "00:00:00"
    },
    "SUNDAY": {
      "start": "00:00:00",
      "end": "00:00:00"
    }
  },
  "exceptions": [
    {
      "name": "text",
      "start": "2026-01-01",
      "end": "2026-01-01",
      "supportStatus": "DURING"
    }
  ],
  "managedBy": {
    "type": "API",
    "source": "text"
  },
  "currentStatus": "DURING"
}

Last updated

Was this helpful?